interface

  BaseListView

brief

  IListView の alias

### Hierarchy

- IListView
- View<Model>
  - BaseListView

## Index

### Constructors

- constructor

### Properties

- $el
- attributes
- backupData
- cid
- className
- collection
- core
- el
- id
- model
- tagName

### Methods

- $
- _addLine
- _ensureElement
- addItem
- backup
- bind
- clearBackup
- delegate
- delegateEvents
- ensureVisible
- events
- getItemInfo
- getScrollPos
- getScrollPosMax
- hasBackup
- initialize
- isInitialized
- listenTo
- listenToOnce
- off
- on
- once
- rebuild
- refresh
- release
- remove
- removeItem
- render
- restore
- scrollTo
- setElement
- setScrollHandler
- setScrollStopHandler
- stopListening
- trigger
- unbind
- undelegate
- undelegateEvents
- update
- extend

## Constructors

### constructor

- new BaseListView(options?: ViewOptions<Model>): BaseListView

- Inherited from View.__constructor

  - Defined in D:/projects/cdp/oss/cdp-js/packages/cdp-ui-listview/node_modules/@types/backbone/index.d.ts:405

  #### Parameters

  - ##### Optional options: ViewOptions<Model>

  #### Returns BaseListView

## Properties

### $el

$el: JQuery

Inherited from View.$el

- Defined in D:/projects/cdp/oss/cdp-js/packages/cdp-ui-listview/node_modules/@types/backbone/index.d.ts:428

### attributes

attributes: any

Inherited from View.attributes

- Defined in D:/projects/cdp/oss/cdp-js/packages/cdp-ui-listview/node_modules/@types/backbone/index.d.ts:430

### backupData

backupData: any

Inherited from IBackupRestore.backupData

- Defined in CDP/UI/listview/Interfaces.ts:243

バックアップデータにアクセス

returns

  バックアップデータオブジェクト

### cid

cid: string

Inherited from View.cid

- Defined in D:/projects/cdp/oss/cdp-js/packages/cdp-ui-listview/node_modules/@types/backbone/index.d.ts:423

### className

className: string

Inherited from View.className

- Defined in D:/projects/cdp/oss/cdp-js/packages/cdp-ui-listview/node_modules/@types/backbone/index.d.ts:424

### collection

collection: Collection<Model>

Inherited from View.collection

- Defined in D:/projects/cdp/oss/cdp-js/packages/cdp-ui-listview/node_modules/@types/backbone/index.d.ts:419

### core

core: IListViewFramework

Inherited from IListView.core

- Defined in CDP/UI/listview/Interfaces.ts:383

### el

el: any

Inherited from View.el

- Defined in D:/projects/cdp/oss/cdp-js/packages/cdp-ui-listview/node_modules/@types/backbone/index.d.ts:427

### id

id: string

Inherited from View.id

- Defined in D:/projects/cdp/oss/cdp-js/packages/cdp-ui-listview/node_modules/@types/backbone/index.d.ts:422

### model

model: Model

Inherited from View.model

- Defined in D:/projects/cdp/oss/cdp-js/packages/cdp-ui-listview/node_modules/@types/backbone/index.d.ts:418

### tagName

tagName: string

Inherited from View.tagName

- Defined in D:/projects/cdp/oss/cdp-js/packages/cdp-ui-listview/node_modules/@types/backbone/index.d.ts:425

## Methods

### $

- $(selector: string): JQuery
- $(selector: any): JQuery

- Inherited from View.$

  - Defined in D:/projects/cdp/oss/cdp-js/packages/cdp-ui-listview/node_modules/@types/backbone/index.d.ts:417

  #### Parameters

  - ##### selector: string

  #### Returns JQuery

- Inherited from View.$

  - Defined in D:/projects/cdp/oss/cdp-js/packages/cdp-ui-listview/node_modules/@types/backbone/index.d.ts:431

  #### Parameters

  - ##### selector: any

  #### Returns JQuery

### Optional _addLine

- _addLine(_line: LineProfile, insertTo?: number): void
- _addLine(_line: LineProfile[], insertTo?: number): void

- Inherited from IListView._addLine

  - Defined in CDP/UI/listview/Interfaces.ts:392

  #### Parameters

  - ##### _line: LineProfile

  - ##### Optional insertTo: number

  #### Returns void

- Inherited from IListView._addLine

  - Defined in CDP/UI/listview/Interfaces.ts:393

  #### Parameters

  - ##### _line: LineProfile[]

  - ##### Optional insertTo: number

  #### Returns void

### _ensureElement

- _ensureElement(): void

- Inherited from View._ensureElement

  - Defined in D:/projects/cdp/oss/cdp-js/packages/cdp-ui-listview/node_modules/@types/backbone/index.d.ts:439

  #### Returns void

### addItem

- addItem(height: number, initializer: object, info: any, insertTo?: number): void

- Inherited from IListView.addItem

  - Defined in CDP/UI/listview/Interfaces.ts:349

  Item 登録 プロパティを指定して、ListItem を管理

  #### Parameters

  - ##### height: number

    [in] ラインの高さ

  - ##### initializer: object

    [in] ListItemView 派生クラスのコンストラクタ

  - ##### info: any

    [in] initializer に渡されるオプション引数

  - ##### Optional insertTo: number

    [in] ラインの挿入位置をインデックスで指定

  #### Returns void

### backup

- backup(key: string): boolean

- Inherited from IBackupRestore.backup

  - Defined in CDP/UI/listview/Interfaces.ts:211

  内部データをバックアップ

  #### Parameters

  - ##### key: string

    [in] バックアップキーを指定

  #### Returns boolean

  true: 成功 / false: 失敗

### bind

- bind(eventName: string, callback: Function, context?: any): any

- Inherited from Events.bind

  - Defined in D:/projects/cdp/oss/cdp-js/packages/cdp-ui-listview/node_modules/@types/backbone/index.d.ts:93

  #### Parameters

  - ##### eventName: string

  - ##### callback: Function

  - ##### Optional context: any

  #### Returns any

### clearBackup

- clearBackup(key?: string): boolean

- Inherited from IBackupRestore.clearBackup

  - Defined in CDP/UI/listview/Interfaces.ts:236

  バックアップデータの破棄

  #### Parameters

  - ##### Optional key: string

    [in] バックアップキーを指定

  #### Returns boolean

  true: 成功 / false: 失敗

### delegate

- delegate(eventName: string, selector: string, listener: Function): View<Model>

- Inherited from View.delegate

  - Defined in D:/projects/cdp/oss/cdp-js/packages/cdp-ui-listview/node_modules/@types/backbone/index.d.ts:435

  #### Parameters

  - ##### eventName: string

  - ##### selector: string

  - ##### listener: Function

  #### Returns View<Model>

### delegateEvents

- delegateEvents(events?: EventsHash): any

- Inherited from View.delegateEvents

  - Defined in D:/projects/cdp/oss/cdp-js/packages/cdp-ui-listview/node_modules/@types/backbone/index.d.ts:434

  #### Parameters

  - ##### Optional events: EventsHash

  #### Returns any

### ensureVisible

- ensureVisible(index: number, options?: EnsureVisibleOptions): void

- Inherited from IScrollable.ensureVisible

  - Defined in CDP/UI/listview/Interfaces.ts:195

  指定された ListItemView の表示を保証

  #### Parameters

  - ##### index: number

    [in] ListItemView のインデックス

  - ##### Optional options: EnsureVisibleOptions

    [in] オプション

  #### Returns void

### events

- events(): EventsHash

- Inherited from View.events

  - Defined in D:/projects/cdp/oss/cdp-js/packages/cdp-ui-listview/node_modules/@types/backbone/index.d.ts:415

  Events hash or a method returning the events hash that maps events/selectors to methods on your View. For assigning events as object hash, do it like this: this.events = <any>{ "event:selector": callback, ... }; That works only if you set it in the constructor or the initialize method.

  #### Returns EventsHash

### getItemInfo

- getItemInfo(target: number): any
- getItemInfo(target: Event): any

- Inherited from IListView.getItemInfo

  - Defined in CDP/UI/listview/Interfaces.ts:367

  指定した Item に設定した情報を取得

  #### Parameters

  - ##### target: number

    [in] 識別子. [index | event object]

  #### Returns any

  _addLine() に指定した info オブジェクト

- Inherited from IListView.getItemInfo

  - Defined in CDP/UI/listview/Interfaces.ts:368

  #### Parameters

  - ##### target: Event

  #### Returns any

### getScrollPos

- getScrollPos(): number

- Inherited from IScrollable.getScrollPos

  - Defined in CDP/UI/listview/Interfaces.ts:171

  スクロール位置を取得

  #### Returns number

  : position

### getScrollPosMax

- getScrollPosMax(): number

- Inherited from IScrollable.getScrollPosMax

  - Defined in CDP/UI/listview/Interfaces.ts:178

  スクロール位置の最大値を取得

  #### Returns number

  : position

### hasBackup

- hasBackup(key: string): boolean

- Inherited from IBackupRestore.hasBackup

  - Defined in CDP/UI/listview/Interfaces.ts:228

  バックアップデータの有無

  #### Parameters

  - ##### key: string

    [in] バックアップキーを指定

  #### Returns boolean

  true: 有 / false: 無

### initialize

- initialize(options?: ViewOptions<Model>): void

- Inherited from View.initialize

  - Defined in D:/projects/cdp/oss/cdp-js/packages/cdp-ui-listview/node_modules/@types/backbone/index.d.ts:408

  #### Parameters

  - ##### Optional options: ViewOptions<Model>

  #### Returns void

### isInitialized

- isInitialized(): boolean

- Inherited from IListView.isInitialized

  - Defined in CDP/UI/listview/Interfaces.ts:338

  初期化済みか判定

  #### Returns boolean

  true: 初期化済み / false: 未初期化

### listenTo

- listenTo(object: any, events: string, callback: Function): any

- Inherited from Events.listenTo

  - Defined in D:/projects/cdp/oss/cdp-js/packages/cdp-ui-listview/node_modules/@types/backbone/index.d.ts:97

  #### Parameters

  - ##### object: any

  - ##### events: string

  - ##### callback: Function

  #### Returns any

### listenToOnce

- listenToOnce(object: any, events: string, callback: Function): any

- Inherited from Events.listenToOnce

  - Defined in D:/projects/cdp/oss/cdp-js/packages/cdp-ui-listview/node_modules/@types/backbone/index.d.ts:98

  #### Parameters

  - ##### object: any

  - ##### events: string

  - ##### callback: Function

  #### Returns any

### off

- off(eventName?: string, callback?: Function, context?: any): any

- Inherited from Events.off

  - Defined in D:/projects/cdp/oss/cdp-js/packages/cdp-ui-listview/node_modules/@types/backbone/index.d.ts:91

  #### Parameters

  - ##### Optional eventName: string

  - ##### Optional callback: Function

  - ##### Optional context: any

  #### Returns any

### on

- on(eventName: string, callback?: Function, context?: any): any
- on(eventMap: EventsHash): any

- Inherited from Events.on

  - Defined in D:/projects/cdp/oss/cdp-js/packages/cdp-ui-listview/node_modules/@types/backbone/index.d.ts:89

  #### Parameters

  - ##### eventName: string

  - ##### Optional callback: Function

  - ##### Optional context: any

  #### Returns any

- Inherited from Events.on

  - Defined in D:/projects/cdp/oss/cdp-js/packages/cdp-ui-listview/node_modules/@types/backbone/index.d.ts:90

  #### Parameters

  - ##### eventMap: EventsHash

  #### Returns any

### once

- once(events: string, callback: Function, context?: any): any

- Inherited from Events.once

  - Defined in D:/projects/cdp/oss/cdp-js/packages/cdp-ui-listview/node_modules/@types/backbone/index.d.ts:96

  #### Parameters

  - ##### events: string

  - ##### callback: Function

  - ##### Optional context: any

  #### Returns any

### rebuild

- rebuild(): void

- Inherited from IListView.rebuild

  - Defined in CDP/UI/listview/Interfaces.ts:375

  #### Returns void

### refresh

- refresh(): void

- Inherited from IListView.refresh

  - Defined in CDP/UI/listview/Interfaces.ts:371

  #### Returns void

### release

- release(): void

- Inherited from IListView.release

  - Defined in CDP/UI/listview/Interfaces.ts:377

  #### Returns void

### remove

- remove(): View<Model>

- Inherited from View.remove

  - Defined in D:/projects/cdp/oss/cdp-js/packages/cdp-ui-listview/node_modules/@types/backbone/index.d.ts:433

  #### Returns View<Model>

### removeItem

- removeItem(index: number, size?: number, delay?: number): void
- removeItem(index: number[], delay?: number): void

- Inherited from IListView.removeItem

  - Defined in CDP/UI/listview/Interfaces.ts:358

  指定した Item を削除

  #### Parameters

  - ##### index: number

    [in] 解除開始のインデックスを指定. 配列版は reverse index を指定するほうが効率的

  - ##### Optional size: number

    [in] 解除するラインの総数. 既定: 1

  - ##### Optional delay: number

    [in] 実際に要素を削除する delay time 既定: 0 (即時削除)

  #### Returns void

- Inherited from IListView.removeItem

  - Defined in CDP/UI/listview/Interfaces.ts:359

  #### Parameters

  - ##### index: number[]

  - ##### Optional delay: number

  #### Returns void

### render

- render(): View<Model>

- Inherited from View.render

  - Defined in D:/projects/cdp/oss/cdp-js/packages/cdp-ui-listview/node_modules/@types/backbone/index.d.ts:432

  #### Returns View<Model>

### restore

- restore(key: string, rebuild: boolean): boolean

- Inherited from IBackupRestore.restore

  - Defined in CDP/UI/listview/Interfaces.ts:220

  内部データをリストア

  #### Parameters

  - ##### key: string

    [in] バックアップキーを指定

  - ##### rebuild: boolean

    [in] rebuild を実行する場合は true を指定

  #### Returns boolean

  true: 成功 / false: 失敗

### scrollTo

- scrollTo(pos: number, animate?: boolean, time?: number): void

- Inherited from IScrollable.scrollTo

  - Defined in CDP/UI/listview/Interfaces.ts:187

  スクロール位置を指定

  #### Parameters

  - ##### pos: number

    [in] スクロール位置 (0 - posMax)

  - ##### Optional animate: boolean

    [in] アニメーションの有無

  - ##### Optional time: number

    [in] アニメーションに費やす時間 [msec]

  #### Returns void

### setElement

- setElement(element: HTMLElement | JQuery, delegate?: boolean): View<Model>
- setElement(element: any): View<Model>

- Inherited from View.setElement

  - Defined in D:/projects/cdp/oss/cdp-js/packages/cdp-ui-listview/node_modules/@types/backbone/index.d.ts:421

  #### Parameters

  - ##### element: HTMLElement | JQuery

  - ##### Optional delegate: boolean

  #### Returns View<Model>

- Inherited from View.setElement

  - Defined in D:/projects/cdp/oss/cdp-js/packages/cdp-ui-listview/node_modules/@types/backbone/index.d.ts:429

  #### Parameters

  - ##### element: any

  #### Returns View<Model>

### setScrollHandler

- setScrollHandler(handler: function, on: boolean): void

- Inherited from IScrollable.setScrollHandler

  - Defined in CDP/UI/listview/Interfaces.ts:156

  スクロールイベントハンドラ設定/解除

  #### Parameters

  - ##### handler: function

    [in] ハンドラ関数

    - - (event: Event): void

      - #### Parameters

        - ##### event: Event

        #### Returns void

  - ##### on: boolean

    [in] true: 設定 / false: 解除

  #### Returns void

### setScrollStopHandler

- setScrollStopHandler(handler: function, on: boolean): void

- Inherited from IScrollable.setScrollStopHandler

  - Defined in CDP/UI/listview/Interfaces.ts:164

  スクロール終了イベントハンドラ設定/解除

  #### Parameters

  - ##### handler: function

    [in] ハンドラ関数

    - - (event: Event): void

      - #### Parameters

        - ##### event: Event

        #### Returns void

  - ##### on: boolean

    [in] true: 設定 / false: 解除

  #### Returns void

### stopListening

- stopListening(object?: any, events?: string, callback?: Function): any

- Inherited from Events.stopListening

  - Defined in D:/projects/cdp/oss/cdp-js/packages/cdp-ui-listview/node_modules/@types/backbone/index.d.ts:99

  #### Parameters

  - ##### Optional object: any

  - ##### Optional events: string

  - ##### Optional callback: Function

  #### Returns any

### trigger

- trigger(eventName: string, ...args: any[]): any

- Inherited from Events.trigger

  - Defined in D:/projects/cdp/oss/cdp-js/packages/cdp-ui-listview/node_modules/@types/backbone/index.d.ts:92

  #### Parameters

  - ##### eventName: string

  - ##### Rest ...args: any[]

  #### Returns any

### unbind

- unbind(eventName?: string, callback?: Function, context?: any): any

- Inherited from Events.unbind

  - Defined in D:/projects/cdp/oss/cdp-js/packages/cdp-ui-listview/node_modules/@types/backbone/index.d.ts:94

  #### Parameters

  - ##### Optional eventName: string

  - ##### Optional callback: Function

  - ##### Optional context: any

  #### Returns any

### undelegate

- undelegate(eventName: string, selector?: string, listener?: Function): View<Model>

- Inherited from View.undelegate

  - Defined in D:/projects/cdp/oss/cdp-js/packages/cdp-ui-listview/node_modules/@types/backbone/index.d.ts:437

  #### Parameters

  - ##### eventName: string

  - ##### Optional selector: string

  - ##### Optional listener: Function

  #### Returns View<Model>

### undelegateEvents

- undelegateEvents(): any

- Inherited from View.undelegateEvents

  - Defined in D:/projects/cdp/oss/cdp-js/packages/cdp-ui-listview/node_modules/@types/backbone/index.d.ts:436

  #### Returns any

### update

- update(): void

- Inherited from IListView.update

  - Defined in CDP/UI/listview/Interfaces.ts:373

  #### Returns void

### Static extend

- extend(properties: any, classProperties?: any): any

- Inherited from View.extend

  - Defined in D:/projects/cdp/oss/cdp-js/packages/cdp-ui-listview/node_modules/@types/backbone/index.d.ts:405

  Do not use, prefer TypeScript's extend functionality.

  #### Parameters

  - ##### properties: any

  - ##### Optional classProperties: any

  #### Returns any

Generated using TypeDoc